WordPress.org

Forums

WP Security Audit Log
[resolved] Errors showing since 1.2.0 upgrade on Multisite install (10 posts)

  1. rcotgrov
    Member
    Posted 1 year ago #

    Today upgraded the plugin to 1.2.0 and was working happily away when suddenly all my sites simply show the word 'error' when you access any page of any site.

    The error log shows :-

    Warning: in_array() expects parameter 2 to be array, null given in /var/www/html/wordpress/wp-content/plugins/wp-security-audit-log/classes/Sensors/Multisite.php on line 31

    Warning: Invalid argument supplied for foreach() in /var/www/html/wordpress/wp-content/plugins/wp-security-audit-log/classes/Sensors/Multisite.php on line 46

    Looking back the errors were showing straight after the upgrade. It may not be throwing the "error" on every site issue.

    Still doesn't look good... & need some assistance

    Robin

    https://wordpress.org/plugins/wp-security-audit-log/

  2. robert681
    Member
    Plugin Contributor

    Posted 1 year ago #

    Hi rcotgrov,

    Thank you for downloading our plugin and sorry for any inconvenience it might have caused you. We issued a fix for your plugin. Can you please:

    1. Download the plugin from the following URL (if it does not work copy and paste the URL in your browser URL bar)

    http://www.wpwhitesecurity.com/downloads/plugins/support/wp-security-audit-log_rcotgrov.zip

    2. Disable the existing plugin

    3. Extract this version and upload it to your website

    4. Enable the plugin.

    Can you please advise once you try the fix?

  3. rcotgrov
    Member
    Posted 1 year ago #

    That seems to have done the trick nicely. Superb ! The error can not be reproduced now.

    Will this be included in the next official update of the plugin?

  4. robert681
    Member
    Plugin Contributor

    Posted 1 year ago #

    Glad it did the trick :) We are working on another minor fix and we should release a plugin update shortly.

    Thanks for helping us out and have a great day!

  5. rcotgrov
    Member
    Posted 1 year ago #

    I'm afraid the errors are back today.

    [Fri Jul 04 11:07:18 2014] [error] [client x.x.x.x] PHP Warning: in_array() expects parameter 2 to be array, null given in /var/www/html/wordpress/wp-content/plugins/wp-security-audit-log/classes/Sensors/Multisite.php on line 31, referer: http://devdomain.org.uk/wp-admin/network/admin.php?page=wsal-audit-log-viewer&paged=2
    [Fri Jul 04 11:07:19 2014] [error] [client x.x.x.x] PHP Warning: Invalid argument supplied for foreach() in /var/www/html/wordpress/wp-content/plugins/wp-security-audit-log/classes/Sensors/Multisite.php on line 46, referer: http://devdomain.org.uk/wp-admin/network/admin.php?page=wsal-audit-log-viewer&paged=2

  6. WPWhiteSecurity
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Rcotgrov,

    Sorry to hear so. Did the errors come up once you upgraded to 1.2.1?

  7. rcotgrov
    Member
    Posted 1 year ago #

    Not sure. After the zip you gave me the errors didn't seem to be thrown but they have come back again.

  8. WPWhiteSecurity
    Member
    Plugin Author

    Posted 1 year ago #

    Can you please download the plugin's latest version from the WordPress repository and install it?

    Keep us posted on the status.

  9. rcotgrov
    Member
    Posted 1 year ago #

    Deactivated, Uninstalled, Re-installed 1.2.1

    This is what came up in the WP Error Log

    [Fri Jul 04 20:08:31 2014] [error] [client x] WordPress database err or You have an error in your SQL syntax; check the manual that corresponds to yo ur MySQL server version for the right syntax to use near 'CONSTRAINT PK_wp os_wsal_metadata_id PRIMARY KEY (id)' at line 1 for query ALTER TABLE wp _wsal_metadata ADD COLUMN CONSTRAINT PK_wp_wsal_metadata_id PRIMARY KEY (id) made by require('wp-admin/plugins.php'), activate_plugin, do_action('activa te_wp-security-audit-log/wp-security-audit-log.php'), call_user_func_array, WpSe curityAuditLog->Install, WSAL_DB_ActiveRecord::InstallAll, WSAL_DB_ActiveRecord- >Install, dbDelta, referer: http://devdomain.org.uk/wp-admin/network/update .php?action=install-plugin&plugin=wp-security-audit-log&_wpnonce=db1d0ef76c
    [Fri Jul 04 20:08:32 2014] [error] [client x] WordPress database err or You have an error in your SQL syntax; check the manual that corresponds to yo ur MySQL server version for the right syntax to use near 'CONSTRAINT PK_wp _wsal_occurrences_id PRIMARY KEY (id)' at line 1 for query ALTER TABLE wp_occurrences ADD COLUMN CONSTRAINT PK_wp_wsal_occurrences_id PRI MARY KEY (id) made by require('wp-admin/plugins.php'), activate_plugin, do_actio n('activate_wp-security-audit-log/wp-security-audit-log.php'), call_user_func_ar ray, WpSecurityAuditLog->Install, WSAL_DB_ActiveRecord::InstallAll, WSAL_DB_Acti veRecord->Install, dbDelta, referer: http://devdomain.org.uk/wp-admin/netwo rk/update.php?action=install-plugin&plugin=wp-security-audit-log&_wpnonce=db1d0e f76c
    [Fri Jul 04 20:08:32 2014] [error] [client x] PHP Warning: in_array () expects parameter 2 to be array, null given in /var/www/html/wordpress/ wp-content/plugins/wp-security-audit-log/classes/Sensors/Multisite.php on line 3 1, referer: http://devdomain.org.uk/wp-admin/network/update.php?action=inst all-plugin&plugin=wp-security-audit-log&_wpnonce=db1d0ef76c
    [Fri Jul 04 20:08:32 2014] [error] [client x] PHP Warning: Invalid argument supplied for foreach() in /var/www/html/wordpress/wp-content/plug ins/wp-security-audit-log/classes/Sensors/Multisite.php on line 46, referer: htt p://devdomain.org.uk/wp-admin/network/update.php?action=install-plugin&plug in=wp-security-audit-log&_wpnonce=db1d0ef76c

  10. WPWhiteSecurity
    Member
    Plugin Author

    Posted 1 year ago #

    Hi rcotgrov,

    We have done some further tweaks to the plugin but in all fairness this particular issue seems not to be related with the plugin.

    Can you please download the patch (right click and copy the link in a new browser window) and let us know? If you still get such an error get in touch with us via email on support@wpwhitesecurity.com so we can do some further troubleshooting.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • WP Security Audit Log
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic